import { isAllOK, getMessages } from '../results.js';
describe('results', () => {
    describe('all results OK', () => {
        it('should indicate all results are OK', async () => {
            const rawResults = [
                {
                    bin: 'mvn',
                    satisfies: true,
                },
            ];
            const result = isAllOK(rawResults);
            expect(result).toBe(true);
        });
        it('should indicate all results are OK', async () => {
            const rawResults = [
                {
                    bin: 'mvn',
                    satisfies: false,
                },
            ];
            const result = isAllOK(rawResults);
            expect(result).toBe(false);
        });
    });
    describe('custom messages', () => {
        it('should return messages', async () => {
            const rawResults = [
                {
                    bin: 'mvn',
                    installed: false,
                    installMessage: '<mvn install instructions>',
                },
                {
                    bin: 'nginx',
                    satisfies: false,
                    updateMessage: '<nginx update instructions>',
                },
            ];
            const result = getMessages(rawResults);
            const expectation = [
                { bin: 'mvn', message: '<mvn install instructions>' },
                { bin: 'nginx', message: '<nginx update instructions>' },
            ];
            expect(result).toEqual(expectation);
        });
    });
});
