export function isAllOK(rawResults) {
    return rawResults
        .filter((result) => !result.optional)
        .every((result) => result.satisfies === true);
}
export function getMessages(rawResults) {
    const notInstalledItems = rawResults.filter((item) => !item.installed && item.installMessage);
    const unsatisfiedInstalledItems = rawResults.filter((item) => !item.satisfies && item.updateMessage);
    const messages = [...notInstalledItems, ...unsatisfiedInstalledItems].map((item) => {
        const bin = item.bin;
        const message = item.installMessage || item.updateMessage;
        return { bin, message };
    });
    return messages;
}
